CREATE TABLE ffs_utype_permission (
    USER_TYPE_ID           NUMBER(5, 0)  ,
    PRIVILEGE_OBJECT_ID    NUMBER(8, 0)  ,
    USER_TYPE_ACCESS       NUMBER(3, 0)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    DELETED_FLAG           VARCHAR2(4)   ,
    USER_TYPE_ID           NUMBER(5, 0)  ,
    PRIVILEGE_OBJECT_ID    NUMBER(8, 0)  ,
    USER_TYPE_ACCESS       NUMBER(3, 0)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    DELETED_FLAG           VARCHAR2(4)   ,
    CONSTRAINT pk_ffs_utype_permission PRIMARY KEY (USER_TYPE_ID, PRIVILEGE_OBJECT_ID, USER_TYPE_ID, PRIVILEGE_OBJECT_ID)
);
